Skip to content
GET /automation/{id}/run/{runId}

Path Parameters

idstring
required·

Resource id

runIdstring
required·

Resource id

Response Body

actor_display_namestring,null
actor_user_idstring,null
automation_idstring
can_cancelboolean
can_retryboolean
chain
counts
error
failing_step
finished_atstring,null
from_step_keystring,null
modestring
outcomestring,null
output_previewstring,null
progressobject,null

Top-level steps finished out of all of them. Present only on a running or waiting row of a runs list page, null elsewhere.

doneinteger
totalinteger
queued_atstring
retry_of_run_idstring,null
run_idstring
scheduled_atstring,null
skip_reasonstring,null
started_atstring,null
statusstring
trigger_keystring,null
trigger_typestring
version_idstring,null
version_numberinteger,null
waiting
curl -X GET 'https://api.elaichi.ai/automation/<id>/run/<runId>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/automation/<id>/run/<runId>', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/run/<runId>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())